Cycles
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Query Parameters
Team key or id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/cycles?team=string"{ "cycles": [ { "id": "string", "number": 0, "name": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "isActive": true } ]}Rolls unfinished issues from the previous cycle into the new one unless rollover is false.
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/cycles" \ -H "Content-Type: application/json" \ -d '{ "team": "string" }'{ "cycle": { "id": "string", "number": 0, "name": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "isActive": true }, "rolledOver": 0}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Cycle id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/cycles/string" \ -H "Content-Type: application/json" \ -d '{}'{ "cycle": { "id": "string", "number": 0, "name": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "isActive": true }}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Cycle id
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/cycles/string"{ "deleted": true}